### Function

# RB SourceSearchBasic register

#### Declaration [src]

    void
    rb_source_search_basic_register (
      RhythmDBPropType prop,
      const char* name,
      const char* description
    )

#### Description [src]

Ensures that a search instance is registered with the specified name.

#### Parameters

`prop`

  Type: `RhythmDBPropType`

  The property to search on.

`name`

  Type: `const char*`

  Short non-translated name for the search instance.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  User-visible description for the search.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.